Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.plugin.filter.flow
Class EventRecordTraceReconstructionFilter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.analysis.plugin.filter.flow.EventRecordTraceReconstructionFilter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

    public final class EventRecordTraceReconstructionFilter

extends AbstractFilterPlugin

Since:
  1.6
Author:
  Jan Waller

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `CONFIG_PROPERTY_NAME_MAX_TRACE_DURATION` The name of the property determining the maximal trace duration.
`static String` | `CONFIG_PROPERTY_NAME_MAX_TRACE_TIMEOUT` The name of the property determining the maximal trace timeout.
`static String` | `CONFIG_PROPERTY_NAME_TIMEUNIT` The name of the property determining the time unit.
`static String` | `CONFIG_PROPERTY_VALUE_MAX_TIME` The default value of the properties for the maximal trace duration and timeout.
`static String` | `CONFIG_PROPERTY_VALUE_TIMEUNIT` The default value of the time unit property (nanoseconds).
`static String` | `INPUT_PORT_NAME_TIME_EVENT` The name of the input port receiving the trace records.
`static String` | `INPUT_PORT_NAME_TRACE_RECORDS` The name of the input port receiving the trace records.
`static String` | `INPUT_PORT_NAME_TRACEEVENT_RECORDS` The name of the input port receiving the trace records.
`static String` | `OUTPUT_PORT_NAME_TRACE_INVALID` The name of the output port delivering the invalid traces.
`static String` | `OUTPUT_PORT_NAME_TRACE_VALID` The name of the output port delivering the valid traces.

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`EventRecordTraceReconstructionFilter(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class using the given parameters.

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`void` | `newEvent(IFlowRecord record)` This method is the input port for the new events for this filter.
`void` | `newEvent(Long timestamp)` This method is the input port for the timeout.
`void` | `newTraceEventRecord(TraceEventRecords traceEventRecords)` This method is the input port for the new events for this filter.
`void` | `terminate(boolean error)` Initiates a termination of the plugin.

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### OUTPUT_PORT_NAME_TRACE_VALID

    public static final String OUTPUT_PORT_NAME_TRACE_VALID

  The name of the output port delivering the valid traces.

  See Also:
    Constant Field Values

### OUTPUT_PORT_NAME_TRACE_INVALID

    public static final String OUTPUT_PORT_NAME_TRACE_INVALID

  The name of the output port delivering the invalid traces.

  See Also:
    Constant Field Values

### INPUT_PORT_NAME_TRACE_RECORDS

    public static final String INPUT_PORT_NAME_TRACE_RECORDS

  The name of the input port receiving the trace records.

  See Also:
    Constant Field Values

### INPUT_PORT_NAME_TRACEEVENT_RECORDS

    public static final String INPUT_PORT_NAME_TRACEEVENT_RECORDS

  The name of the input port receiving the trace records.

  See Also:
    Constant Field Values

### INPUT_PORT_NAME_TIME_EVENT

    public static final String INPUT_PORT_NAME_TIME_EVENT

  The name of the input port receiving the trace records.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_TIMEUNIT

    public static final String CONFIG_PROPERTY_NAME_TIMEUNIT

  The name of the property determining the time unit.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_MAX_TRACE_DURATION

    public static final String CONFIG_PROPERTY_NAME_MAX_TRACE_DURATION

  The name of the property determining the maximal trace duration.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_MAX_TRACE_TIMEOUT

    public static final String CONFIG_PROPERTY_NAME_MAX_TRACE_TIMEOUT

  The name of the property determining the maximal trace timeout.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_VALUE_MAX_TIME

    public static final String CONFIG_PROPERTY_VALUE_MAX_TIME

  The default value of the properties for the maximal trace duration and timeout.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_VALUE_TIMEUNIT

    public static final String CONFIG_PROPERTY_VALUE_TIMEUNIT

  The default value of the time unit property (nanoseconds).

  See Also:
    Constant Field Values

Constructor Detail

### EventRecordTraceReconstructionFilter

    public EventRecordTraceReconstructionFilter(Configuration configuration,
                                                IProjectContext projectContext)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this component.
    `projectContext` - The project context for this component.

Method Detail

### newEvent

    public void newEvent(Long timestamp)

  This method is the input port for the timeout.

  Parameters:
    `timestamp` - The timestamp

### newTraceEventRecord

    public void newTraceEventRecord(TraceEventRecords traceEventRecords)

  This method is the input port for the new events for this filter.

  Parameters:
    `traceEventRecords` - The new record to handle.

### newEvent

    public void newEvent(IFlowRecord record)

  This method is the input port for the new events for this filter.

  Parameters:
    `record` - The new record to handle.

### terminate

    public void terminate(boolean error)

  Initiates a termination of the plugin. This method is only used by the framework and should not be called manually. Use the method `AnalysisController.terminate(boolean)` instead. After receiving this notification, the plugin should terminate any running methods, e.g., read for readers.

  Specified by:
    `terminate` in interface `IPlugin`
  Overrides:
    `terminate` in class `AbstractFilterPlugin`
  Parameters:
    `error` - Determines whether the plugin is terminated due to an error or not.

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net